> ## Documentation Index
> Fetch the complete documentation index at: https://docs.immitranslate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Orders

## List Orders

```bash theme={null}
curl "https://api.immitranslate.com/v1/orders" \
  -H "Authorization: Bearer a1s2d3f4q5w6e7r8t9y0"
```

The structure of the List Orders response is below:

```json theme={null}
{
  "data": [
    {
      "url": "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0",
      "token": "order_a1s2d3f4q5w6e7r8t9y0",
      "number": "123456-123456",
      "status": "created",
      "total": 2500,
      "app": null,
      "certification": "certified",
      "translation_type": "certified",
      "delivery": "digital",
      "turnaround": "standard",
      "source_language": "en",
      "target_language": [
        "es"
      ],
      "reference": null,
      "client_reference": null,
      "case_reference": null,
      "created_at": "2022-01-01T00:45:09+00:00",
      "updated_at": "2022-01-01T04:37:17+00:00",
      "intake_processed_at": null,
      "translator_assigned_at": null,
      "translator_accepted_at": null,
      "translator_completed_at": null,
      "proofreader_completed_at": null,
      "all_translations_approved_at": null,
      "notarized_at": null,
      "shipped_at": null,
      "completed_at": null
    }
  ],
  "links": {
    "first": "https://api.immitranslate.com/v1/orders?page=1",
    "last": "https://api.immitranslate.com/v1/orders?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.immitranslate.com/v1/orders",
    "per_page": 50,
    "to": 1,
    "total": 1
  }
}
```

Retrieves a paginated list (default 50) of orders associated with the provided account, sorted in descending order by `created_at`.

The `Order` objects included in this response are reference objects, meaning they do not contain all the possible properties of the order, but rather a glimpse.

### HTTP Request

`GET https://api.immitranslate.com/v1/orders`

### Query Parameters

| Parameter | Required | Default | Description |
| - | - | - | - |
| filter\[status] | false | null | If set to a valid Order `status`, returns only the most recent orders with the provided status. |

## Retrieve an Order

```bash theme={null}
curl "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0" \
  -H "Authorization: Bearer a1s2d3f4q5w6e7r8t9y0"
```

The structure of the List Orders request is below:

```json theme={null}
{
  "data": [
    {
      "url": "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0",
      "token": "order_a1s2d3f4q5w6e7r8t9y0",
      "number": "123456-123456",
      "status": "created",
      "total": 2500,
      "app": null,
      "certification": "certified",
      "translation_type": "certified",
      "delivery": "digital",
      "turnaround": "standard",
      "source_language": "en",
      "target_language": [
        "es"
      ],
      "reference": null,
      "client_reference": null,
      "case_reference": null,
      "created_at": "2022-01-01T00:45:09+00:00",
      "updated_at": "2022-01-01T04:37:17+00:00",
      "intake_processed_at": null,
      "translator_assigned_at": null,
      "translator_accepted_at": null,
      "translator_completed_at": null,
      "proofreader_completed_at": null,
      "all_translations_approved_at": null,
      "notarized_at": null,
      "shipped_at": null,
      "completed_at": null
    }
  ],
  "links": {
    "first": "https://api.immitranslate.com/v1/orders?page=1",
    "last": "https://api.immitranslate.com/v1/orders?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.immitranslate.com/v1/orders",
    "per_page": 50,
    "to": 1,
    "total": 1
  }
}
```

Retrieves a paginated list (default 50) of orders associated with the provided account, sorted in descending order by `created_at`.

The `Order` objects included in this response are reference objects, meaning they do not contain all the possible properties of the order, but rather a glimpse.

### HTTP Request

`GET https://api.immitranslate.com/v1/orders`

### Query Parameters

| Parameter | Required | Default | Description |
| - | - | - | - |
| filter\[status] | false | null | If set to a valid Order `status`, returns only the most recent orders with the provided status. |

## Approve Order

```bash theme={null}
curl -X POST "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0/approve" \
  -H "Authorization: Bearer a1s2d3f4q5w6e7r8t9y0"
```

Sample Response

```json theme={null}
{
  "data": {
    "url": "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0",
    "token": "order_a1s2d3f4q5w6e7r8t9y0",
    "number": "123456-123456",
    "status": "approved",
    "approved_at": "2025-07-21T12:34:56+00:00",
    "total": 2500,
    "app": null,
    "certification": "certified",
    "translation_type": "certified",
    "delivery": "digital",
    "turnaround": "standard",
    "source_language": "en",
    "target_language": [
      "es"
    ],
    "reference": null,
    "client_reference": null,
    "case_reference": null,
    "created_at": "2022-01-01T00:45:09+00:00",
    "updated_at": "2025-07-21T12:34:56+00:00",
    "intake_processed_at": "2022-01-01T00:50:00+00:00",
    "translator_assigned_at": null,
    "translator_accepted_at": null,
    "translator_completed_at": null,
    "proofreader_completed_at": null,
    "all_translations_approved_at": null,
    "notarized_at": null,
    "shipped_at": null,
    "completed_at": null
  }
}
```

### HTTP Request

`POST https://api.immitranslate.com/v1/orders/{token}/approve`

This approves the translations on an order. By default, every translation on the order is approved. To approve only specific translations, provide the optional `files` parameter.

### Path Parameters

| Parameter | Required | Description |
| - | - | - |
| token | true | The unique identifier for the order to approve. |

### Body Parameters

| Parameter | Required | Description |
| - | - | - |
| `files` | false | An array of file identifiers to approve. Each must belong to the specified order. When omitted, all translations on the order are approved. |

## Request a Revision

```bash theme={null}
curl -X POST "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0/revision" \
  -H "Authorization: Bearer a1s2d3f4q5w6e7r8t9y0" \
  -d "file_id=file_a1s2d3f4q5w6e7r8t9y0" \
  -d "revision=Please correct the spelling of the applicant's name."
```

Sample Response

```json theme={null}
{
  "data": {
    "url": "https://api.immitranslate.com/v1/orders/order_a1s2d3f4q5w6e7r8t9y0",
    "token": "order_a1s2d3f4q5w6e7r8t9y0",
    "number": "123456-123456",
    "status": "in_review",
    "approved_at": null,
    "total": 2500,
    "app": null,
    "certification": "certified",
    "translation_type": "certified",
    "delivery": "digital",
    "turnaround": "standard",
    "source_language": "en",
    "target_language": [
      "es"
    ],
    "reference": null,
    "client_reference": null,
    "case_reference": null,
    "created_at": "2022-01-01T00:45:09+00:00",
    "updated_at": "2025-07-21T12:34:56+00:00",
    "intake_processed_at": "2022-01-01T00:50:00+00:00",
    "translator_assigned_at": null,
    "translator_accepted_at": null,
    "translator_completed_at": null,
    "proofreader_completed_at": null,
    "all_translations_approved_at": null,
    "notarized_at": null,
    "shipped_at": null,
    "completed_at": null
  }
}
```

### HTTP Request

`POST https://api.immitranslate.com/v1/orders/{token}/revision`

This requests a revision on a single translation belonging to the order. The translation is marked as no longer approved and is returned to our team for the requested changes.

### Path Parameters

| Parameter | Required | Description |
| - | - | - |
| token | true | The unique identifier for the order containing the translation. |

### Body Parameters

| Parameter | Required | Description |
| - | - | - |
| `file_id` | true | The identifier of the translation to revise. Must belong to the specified order. |
| `revision` | true | A plaintext description of the changes being requested. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.